Bug 112765 - yppasswd problem
yppasswd problem
Product: Fedora
Classification: Fedora
Component: ypserv (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Depends On:
  Show dependency treegraph
Reported: 2003-12-30 17:51 EST by Ed Friedman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-18 14:20:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed Friedman 2003-12-30 17:51:50 EST
Description of problem:
rpc.yppasswdd does not propogate changes

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Create DES passwd file in /usr/local/etc, and set up ypinit -m for
it. (Also, set PASSWDFILE in /etc/sysconfig/yppasswdd to be
2.As root, change a user's password using yppasswd.
3.Message says that NIS password has been changed, but it hasn't for
login purposes.
Actual results:

Expected results:

Additional info:
Comment 1 Ed Friedman 2003-12-30 17:55:22 EST
The /usr/local/etc/passwd file seems to get changed, but the NIS
database doesn't.  If I cd to /var/yp and make passwd, then the
database gets changed, but it doesn't get propogated.  It seems I have
to reboot (or kill the ypbind and ypserv daemons, then restart them)
to propogate the change.

As a regular user (instead of root), I get the message:
Error while changing the NIS password.
Comment 2 Ed Friedman 2004-04-08 13:44:02 EDT
While killing and restarting the ypserv daemon seems to be sufficient
to propagate changes made via yppasswd, if the passwd file or the
group file are edited manually, then restarting the daemon does not
propagate the changes.  While manual changes to the passwd file can be
propagated by doing any yppasswd change, then restarting the ypserv
daemon, I have not yet discovered any way to propagate changes to the
group file.
Comment 3 Crutcher Dunnavant 2004-06-14 16:40:28 EDT
This is stupid hack, but I run a cronjob once an hour to: make -C
/var/yp to work arround this problem.
Comment 4 Matthew Miller 2006-07-11 13:42:59 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.


NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Note You need to log in before you can comment on or make changes to this bug.